Api referencev1/agent
Run an autonomous agent loop that drives the sandbox to achieve a goal (50-credit orchestration fee; each sandbox run it triggers is metered separately)
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agent" \ -H "Content-Type: application/json" \ -d '{ "goal": "string" }'{
"output": "string",
"steps": 0
}{
"error": "invalid_request",
"message": "string",
"issues": [
{
"path": "string",
"message": "string"
}
]
}{
"error": "unauthorized",
"message": "string",
"signupUrl": "string"
}{
"error": "payment_required",
"message": "string",
"required": 0,
"balance": 0,
"shortfall": 0,
"topupUrl": "string",
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"error": "forbidden",
"message": "string",
"requiredScope": "string",
"grantedScopes": [
"string"
]
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}{
"error": "rate_limited",
"message": "string",
"retryAfter": 0
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}{
"error": "upstream_error",
"message": "string",
"retryable": true
}